# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _without_tests 1
%define without_tests %{?_without_tests:1}%{!?_without_tests:%{?_with_tests:0}%{!?_with_tests:%{?_tests:%{_tests}}%{!?_tests:0}}}
%define base_name    net
%define short_name   commons-%{base_name}

Name:           jakarta-commons-net
Version:        2.0
Release:        2%{?dist}
Epoch:          0
Summary:        Internet protocol suite Java library
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://commons.apache.org/%{base_name}/
Source0:        http://apache.mirror.rbftpnetworks.com/commons/net/source/commons-net-2.0-src.tar.bz2
# generated by mvn ant:ant
Source1:	    commons-net-MANIFEST.MF
Source2:	    build.xml.tar.gz

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  ant >= 0:1.6
%if ! %{without_tests}
BuildRequires:  ant-junit >= 0:1.6
%endif
BuildRequires:  junit >= 3.8.1
BuildRequires:  java-javadoc
BuildRequires:  oro >= 2.0.8
BuildRequires:  saxon
Requires:       oro >= 2.0.8
Requires:       java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       %{short_name} = %{epoch}:%{version}-%{release}
Obsoletes:      %{short_name} < %{epoch}:%{version}-%{release}
Requires:       jpackage-utils >= 0:1.7.2

%description
This is an Internet protocol suite Java library originally developed by
ORO, Inc.  This version supports Finger, Whois, TFTP, Telnet, POP3, FTP,
NNTP, SMTP, and some miscellaneous protocols like Time and Echo as well
as BSD R command support. The purpose of the library is to provide
fundamental protocol access, not higher-level abstractions. 

%package javadoc
Summary:    Javadoc for %{name}
Group:      Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
mkdir -p .m2/repository/JPP/maven2/default_poms
cp pom.xml .m2/repository/JPP/maven2/default_poms/org.apache.commons-commons-parent.pom
mkdir -p target/osgi/
tar xzf %{SOURCE2}
cp %{SOURCE1} target/osgi/MANIFEST.MF

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -Dmaven.mode.offline=true -Dmaven.test.skip=true -Dmaven.repo.local=.m2 package javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%add_to_maven_depmap %{short_name} %{short_name} %{version} JPP %{short_name}

install -m 644 target/%{short_name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && 
    for jar in *-%{version}*; 
        do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; 
    done
)

(cd $RPM_BUILD_ROOT%{_javadir} && 
    for jar in *-%{version}*; 
        do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; 
    done
)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/site/apidocs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/*

%changelog
* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-2
- Set maven.repo.local.

* Thu Aug 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.0-1
- Update to upstream 2.0.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.4.1-6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 23 2009 Jeff Johnston <jjohnstn@redhat.com> - 0:1.4.1-5.4
- Resolves #507693
- Fix output Manifest file to be OSGi so it works with pdebuild.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.4.1-5.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Permaine Cheung <pcheung@redhat.com> - 0:1.4.1-4.3
- Fix commons-net-1.4.1-project_xml.patch

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.4.1-4.2 
- drop repotag
- fix license tag

* Tue Jan 22 2008 Permaine Cheung <pcheung@redhat.com> - 0:1.4.1-4jpp.1
- Merge with upstream

* Fri Aug 31 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.4.1-4jpp
- Add oro Requires
- Add pom and depmap frags
- Make Vendor, Distribution based on macro

* Thu May 03 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.4.1-3jpp
- Fix project_properties.patch to meet new plugins
- Add maven-plugin-* BRs

* Thu Feb 15 2007 Deepak Bhole <dbhole@redhat.com> - 0:1.4.1-2jpp.1
- Fix per Fedora spec
- Disable tests as a bunch of them currently fail on Fedora

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.4.1-2jpp
- Add gcj_support
- Tests optional when building without maven

* Mon May 08 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.4.1-1jpp
- Upgrade to 1.4.1
- First JPP-1.7 release
- Add -manual subpackage
- Build with maven by default
- Optionally build with straight ant

* Sat Nov 13 2004 Ville Skyttä <scop at jpackage.org> - 0:1.2.2-3jpp
- BuildRequire ant-junit, thanks to Nicolas Mailhot for the catch.
- Crosslink with local J2SE API docs, remove extra api/ from javadoc dir.

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.2.2-2jpp
- Rebuild with ant-1.6.2

* Sun Jun 27 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.2.2-1jpp
- Update to 1.2.2

* Tue Oct 28 2003 Henri Gomez <hgomez@users.sourceforge.net> 0:1.1.0-1jpp
- commons-net 1.1.0

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0.0-3jpp
- update for JPackage 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.0-2jpp
- fix ASF license and add packager tag

* Mon Feb 24 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.0-1jpp
- 1.0.0
- initial release
